com.google.gwt.user.client.ui

## Class NamedFrame

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Frame
      - - com.google.gwt.user.client.ui.NamedFrame

All Implemented Interfaces:
  HasLoadHandlers, HasAttachHandlers, HasHandlers, EventListener, HasVisibility, IsWidget

    public class NamedFrame
    extends Frame

A `Frame` that has a 'name' associated with it. This allows the frame to be the target of a `FormPanel`

### CSS Style Rules

- .gwt-Frame { }

### Nested Class Summary

Nested Classes
`(package private) static interface` `NamedFrame.IFrameTemplate`

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Field Summary

### Fields inherited from class com.google.gwt.user.client.ui.Frame

`DEFAULT_STYLENAME`

### Fields inherited from class com.google.gwt.user.client.ui.Widget

`eventsToSink`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

### Constructor Summary

Constructors
Constructor and Description
`NamedFrame(java.lang.String name)` Constructs a frame with the given name.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getName()` Gets the name associated with this frame.

### Methods inherited from class com.google.gwt.user.client.ui.Frame

`addLoadHandler, getUrl, setUrl, setUrl, wrap`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Constructor Detail

#### NamedFrame

    @UiConstructor
    public NamedFrame(java.lang.String name)

Constructs a frame with the given name.

Parameters:
  `name` - the name of the frame, which must contain at least one non-whitespace character and must not contain reserved HTML markup characters such as '`<`', '`>`', or '`&`'
Throws:
  `java.lang.IllegalArgumentException` - if the supplied name is not allowed

### Method Detail

#### getName

    public java.lang.String getName()

Gets the name associated with this frame.

Returns:
  the frame's name